org.richfaces.component

## Class AbstractMenuContainer

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractMenuContainer

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DisabledProps, EventsPopupsProps, PositionProps
  Direct Known Subclasses:
    AbstractContextMenu, AbstractDropDownMenu

      public abstract class AbstractMenuContainer
      extends javax.faces.component.UIComponentBase
      implements DisabledProps, EventsPopupsProps, PositionProps

  Author:
    Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMenuContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Object` | `getCssRoot()`
    `abstract int` | `getHideDelay()` Delay (in ms) between losing focus and menu closing
    `abstract Mode` | `getMode()` Sets the submission mode for all menu items of the menu except those where this attribute redefined.
    `abstract String` | `getOngrouphide()` The client-side script method to be called when a child menuGroup is hidden
    `abstract String` | `getOngroupshow()` The client-side script method to be called when a child menuGroup is expanded
    `abstract String` | `getOnitemclick()` The client-side script method to be called when a menu item is clicked
    `abstract int` | `getPopupWidth()` Sets minimum width for all lists that will appear.
    `abstract int` | `getShowDelay()` Delay (in ms) between observing the showEvent and menu opening
    `abstract String` | `getShowEvent()` Defines an event on the parent element to display the menu

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.DisabledProps

      `isDisabled`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsPopupsProps

      `getOnhide, getOnshow`

    - ### Methods inherited from interface org.richfaces.component.attribute.PositionProps

      `getDirection, getHorizontalOffset, getJointPoint, getVerticalOffset`

- - ### Constructor Detail

    - #### AbstractMenuContainer

          public AbstractMenuContainer()

  - ### Method Detail

    - #### getShowEvent

          public abstract String getShowEvent()

      Defines an event on the parent element to display the menu

      Default value is 'contextmenu'

    - #### getMode

          public abstract Mode getMode()

      Sets the submission mode for all menu items of the menu except those where this attribute redefined. Possible value are 'ajax','client' and 'server'

      Default value is 'server'

    - #### getHideDelay

          public abstract int getHideDelay()

      Delay (in ms) between losing focus and menu closing

      Default value is "300"

    - #### getShowDelay

          public abstract int getShowDelay()

      Delay (in ms) between observing the showEvent and menu opening

      Default value is "50"

    - #### getPopupWidth

          public abstract int getPopupWidth()

      Sets minimum width for all lists that will appear.

    - #### getOngroupshow

          public abstract String getOngroupshow()

      The client-side script method to be called when a child menuGroup is expanded

    - #### getOngrouphide

          public abstract String getOngrouphide()

      The client-side script method to be called when a child menuGroup is hidden

    - #### getOnitemclick

          public abstract String getOnitemclick()

      The client-side script method to be called when a menu item is clicked

    - #### getCssRoot

          public abstract Object getCssRoot()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.